OpenMesh::vector_traits< T > Struct Template Reference

Helper class providing information about a vector type. More...

`#include <OpenMesh/Core/Utils/vector_traits.hh>`

## Public Types

typedef T::vector_type | vector_type
| Type of the vector class.
typedef T::value_type | value_type
| Type of the scalar value.

## Static Public Member Functions

static size_t | size ()
| size/dimension of the vector

## Static Public Attributes

static const size_t | size_ = T::size_
| size/dimension of the vector

## Detailed Description

### template<typename T>
struct OpenMesh::vector_traits< T >

Helper class providing information about a vector type.

If want to use a different vector type than the one provided OpenMesh you need to supply a specialization of this class for the new vector type.

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Utils/vector_traits.hh